Bug 1350700

Summary: Review Request: nodejs-emojione - Emoji One is a complete set of emojis designed for the web
Product: [Fedora] Fedora Reporter: fujiwara <tfujiwar>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bnocera, mfabian, package-review, panemade, petersen
Target Milestone: ---Flags: panemade: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-01 16:27:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
emojione-android.ttf-versus-emojione-apple.ttf.png none

Description fujiwara 2016-06-28 07:36:57 UTC
Spec URL: https://fujiwara.fedorapeople.org/nodejs-emojione/nodejs-emojione.spec
SRPM URL: https://fujiwara.fedorapeople.org/nodejs-emojione/nodejs-emojione-2.2.4-1.fc24.src.rpm
Description: 
Emoji One is a complete set of emojis designed for the web. It includes
libraries to easily convert unicode characters to shortnames (:smile:)
and shortnames to our custom emoji images. PNG and SVG formats provided
for the emoji images.
Fedora Account System Username: fujiwara

Comment 1 Parag AN(पराग) 2016-07-06 05:01:09 UTC
1) I think instead of creating -devel subpackage, good to create packaging like this
nodejs-emojione
nodejs-emojione-android
nodejs-emojione-awesome
nodejs-emojione-ios
nodejs-emojione-meteor
nodejs-emojione-php
nodejs-emojione-python

2)Correct the license as
# Artwork included is in CC-BY-SA license
# Non-Artwork files are under MIT license
License: MIT and CC-BY-SA

Comment 2 Mike FABIAN 2016-07-06 12:04:43 UTC
Should the fonts be packaged somewhere to /usr/share/fonts/... instead of:

/usr/lib/node_modules/emojione/assets/fonts/emojione-android.ttf
/usr/lib/node_modules/emojione/assets/fonts/emojione-apple.ttf

?

The fonts don’t seem to work though, at least not when using "xfd":

$ fc-list  "Emoji One"
/home/mfabian/.fonts/emojione-android.ttf: Emoji One:style=Regular
$ fc-list "Apple Color Emoji"
/home/mfabian/.fonts/emojione-apple.ttf: Apple カラー絵文字,Apple 彩色表情符號,Apple farve\-emoji,Apple Farben\-Emoji,Applen väri\-emoji,Apple Emoji couleur,Colore Emoji Apple,Apple 컬러 이모티콘,Apple Kleur\-Emoji,Apple farge\-emoji,Apple Emoji em Cores,Цветные эмодзи Apple,Apple färg\-emoji,Apple 彩色表情符号,Apple Emoji الملونة,Apple Emoji color,Apple Color Emoji:style=レギュラー,標準體,Ordinær,Normal,Regular,Normaali,Regolare,일반체,Regulier,Обычный,常规体,عادي

$ xfd -fa "Apple Color Emoji"
X Error of failed request:  BadLength (poly request too large or internal Xlib length error)
  Major opcode of failed request:  138 (RENDER)
  Minor opcode of failed request:  20 (RenderAddGlyphs)
  Serial number of failed request:  326
  Current serial number in output stream:  514
$ xfd -fa "Emoji One"
X Error of failed request:  BadLength (poly request too large or internal Xlib length error)
  Major opcode of failed request:  138 (RENDER)
  Minor opcode of failed request:  20 (RenderAddGlyphs)
  Serial number of failed request:  192
  Current serial number in output stream:  657

Comment 3 Mike FABIAN 2016-07-06 12:11:27 UTC
Created attachment 1176850 [details]
emojione-android.ttf-versus-emojione-apple.ttf.png

When trying to view the fonts with:

ftview 20 /usr/lib/node_modules/emojione/assets/fonts/emojione-android.ttf 
ftview 20 /usr/lib/node_modules/emojione/assets/fonts/emojione-apple.ttf 

the mojione-apple.ttf works, even in colour, but emojione-android.ttf 
does not seem to work, ftview shows "Invalid pixel size" (See attached screen shot).

Comment 4 Parag AN(पराग) 2016-07-06 12:22:46 UTC
I invested some time today on this package and comeup with this partial changes 
https://pnemade.fedorapeople.org/nodejs-emojione.spec

We still need to work on this spec and as pointed above on fonts. If working fonts are provided by other packages, we can just pull those packages and link them to emojione/assets/fonts/. directory.

Comment 5 fujiwara 2016-07-07 10:48:58 UTC
(In reply to Mike FABIAN from comment #2)
> The fonts don’t seem to work though, at least not when using "xfd":


Thank you for the evaluation.
I filed your issues:
https://github.com/Ranks/emojione/issues/295

(In reply to Mike FABIAN from comment #2)
> Should the fonts be packaged somewhere to /usr/share/fonts/... instead of:
> 
> /usr/lib/node_modules/emojione/assets/fonts/emojione-android.ttf
> /usr/lib/node_modules/emojione/assets/fonts/emojione-apple.ttf
> 
> ?

Probably can the location be considered when the bug is fixed?

Comment 6 fujiwara 2016-07-07 11:22:20 UTC
(In reply to Parag AN(पराग) from comment #4)
> I invested some time today on this package and comeup with this partial
> changes 
> https://pnemade.fedorapeople.org/nodejs-emojione.spec
> 
> We still need to work on this spec and as pointed above on fonts. If working
> fonts are provided by other packages, we can just pull those packages and
> link them to emojione/assets/fonts/. directory.

Updated the spec file.
https://fujiwara.fedorapeople.org/nodejs-emojione/nodejs-emojione.spec
https://fujiwara.fedorapeople.org/nodejs-emojione/nodejs-emojione-2.2.5-1.fc24.src.rpm

Comment 7 Mike FABIAN 2016-07-07 12:04:56 UTC
(In reply to fujiwara from comment #5)

> Probably can the location be considered when the bug is fixed?

Yes.

Comment 8 Bastien Nocera 2016-07-08 09:37:02 UTC
From what I can remember, and one of the reasons why the font package at:
https://copr.fedorainfracloud.org/coprs/hadess/emoji/packages/
wasn't submitted to Fedora is because the font needs to be compiled from source, not just installed as a binary blob. And there's no public build system that's been made available for the android version of the font.

Comment 9 fujiwara 2016-07-08 10:16:53 UTC
(In reply to Bastien Nocera from comment #8)
> From what I can remember, and one of the reasons why the font package at:
> https://copr.fedorainfracloud.org/coprs/hadess/emoji/packages/
> wasn't submitted to Fedora is because the font needs to be compiled from
> source, not just installed as a binary blob. And there's no public build
> system that's been made available for the android version of the font.

Thank you for the info.
Do you have any suggestions?

If the right font will be installed in /usr/share/fonts, probably nodejs-emojione can have a symlink under /usr/lib/node_modules/emojione.
This package also have emojione-apple.ttf .

Comment 10 Parag AN(पराग) 2016-07-19 08:28:13 UTC
I think we can move forward here by removing font files from this package. Can you remove them and submit new update?

Looks like font from upstream is not a hard requirement and we have few options to use Emoji

google-noto-emoji-fonts.noarch : Google Noto Emoji Fonts
google-android-emoji-fonts.noarch : Android Emoji font released by Google
gdouros-symbola-fonts.noarch : A symbol font

Comment 12 Parag AN(पराग) 2016-07-20 09:02:31 UTC
1) You need to write license information same as I wrote in comment1

# Artwork included is in CC-BY-SA license
# Non-Artwork files are under MIT license
License: MIT and CC-BY-SA

You forgot to add those 2 comment lines

2) You also need to add comment at top of spec file like this
# tests are disabled due to missing packages in Fedora

otherwise APPROVED.

Comment 14 Gwyn Ciesla 2016-07-20 13:07:53 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nodejs-emojione

Comment 15 Jens Petersen 2016-07-21 07:26:20 UTC
Can emoji.json be subpackaged so other packages can use it?

Comment 16 fujiwara 2016-07-22 07:26:05 UTC
(In reply to Jens Petersen from comment #15)
> Can emoji.json be subpackaged so other packages can use it?

Why? Even though emoji.json is separated, the directory dependency cannot be avoided.

Comment 17 Fedora Update System 2016-07-22 07:28:28 UTC
nodejs-emojione-2.2.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-afde6e2f05

Comment 18 Fedora Update System 2016-07-22 07:28:36 UTC
nodejs-emojione-2.2.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-38e4c90532

Comment 19 Fedora Update System 2016-07-22 10:39:55 UTC
nodejs-emojione-2.2.6-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-afde6e2f05

Comment 20 fujiwara 2016-07-22 11:03:27 UTC
(In reply to fujiwara from comment #16)
> (In reply to Jens Petersen from comment #15)
> > Can emoji.json be subpackaged so other packages can use it?
> 
> Why? Even though emoji.json is separated, the directory dependency cannot be
> avoided.

I will create -json subpackage likes -lib subpackage.

Comment 21 Fedora Update System 2016-07-22 11:12:20 UTC
nodejs-emojione-2.2.6-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-afde6e2f05

Comment 22 Fedora Update System 2016-07-22 11:13:15 UTC
nodejs-emojione-2.2.6-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-38e4c90532

Comment 23 Fedora Update System 2016-07-22 19:21:01 UTC
nodejs-emojione-2.2.6-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-afde6e2f05

Comment 24 Fedora Update System 2016-07-22 19:21:06 UTC
nodejs-emojione-2.2.6-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-38e4c90532

Comment 25 Fedora Update System 2016-08-01 16:27:26 UTC
nodejs-emojione-2.2.6-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2016-08-01 18:53:03 UTC
nodejs-emojione-2.2.6-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.